# Class: TileGrid

## ol.tilegrid.TileGrid

Base class for setting the grid pattern for sources accessing tiled-image servers.

#### new ol.tilegrid.TileGrid(options) experimental

src/ol/tilegrid/tilegrid.js, line 27

  Name | Type | Description
  --- | --- | ---
  `options` | Tile grid options.
  Name | Type | Description
  --- | --- | ---
  `minZoom` | number | undefined | optional Minimum zoom.
  `origin` | ol.Coordinate | undefined | optional Origin.
  `origins` | Array.<ol.Coordinate> | undefined | optional Origins.
  `resolutions` | Array.<number> | Resolutions.
  `tileSize` | number | undefined | optional Tile size.
  `tileSizes` | Array.<number> | undefined | optional Tile sizes.

### Subclasses

- ol.tilegrid.WMTS
- ol.tilegrid.XYZ
- ol.tilegrid.Zoomify

### Methods

#### getMinZoom(){number} experimental

src/ol/tilegrid/tilegrid.js, line 145

  ##### Returns:

  Min zoom.

#### getOrigin(z){ol.Coordinate} experimental

src/ol/tilegrid/tilegrid.js, line 155

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Origin.

#### getResolution(z){number} experimental

src/ol/tilegrid/tilegrid.js, line 171

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Resolution.

#### getTileSize(z){number} experimental

src/ol/tilegrid/tilegrid.js, line 369

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Tile size.